MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029169Open CASCADE[OCCT] OCCT:Configurationpublic2017-09-30 19:462018-06-29 21:19
Reporterkgv 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029169: Configuration - fix compilation with undefined UNICODE on Windows
DescriptionOCCT is expected to be compiled with UNICODE macros on Windows, however in some cases it can be undefined leading to compilation errors.
Steps To Reproduce0. Install Code::Blocks with MinGW
1. Generate Code::Blocks project on Windows running "genproj cbp"
2. Start codeblocks.bat
3. Build TKernel
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0028110closedapn Configuration - specify Unicode charset instead of multibyte in project files for Visual Studio 

-  Notes
(0071084)
git (administrator)
2017-09-30 19:52

Branch CR29169 has been created by kgv.

SHA-1: a783861e304be3bfe73bba36b2d89a89a6540944


Detailed log of new commits:

Author: kgv
Date: Sat Sep 30 19:52:10 2017 +0300

    0029169: Configuration - fix compilation with undefined UNICODE on Windows
    
    Eliminated usage of TEXT macros, usage of OSVERSIONINFO instead of OSVERSIONINFOW.
    LoadIcon/LoadCursor are now used instead of LoadIconW/LoadCursorW
    when passing macros to standard resources (which depend on UNICODE flag).
(0071085)
kgv (developer)
2017-09-30 19:52

Patch is ready for review.
(0071091)
abv (manager)
2017-10-01 13:53

Reviewed with no remarks
(0071100)
git (administrator)
2017-10-01 21:13

Branch CR29169 has been updated forcibly by abv.

SHA-1: d6b241ef46f85ac731a033c1cad43bd28f4b52a6
(0071103)
git (administrator)
2017-10-01 22:07

Branch CR29169 has been updated forcibly by abv.

SHA-1: 2bd1ffe4423029fe3b0a6808e298ca37e60b8a68
(0071137)
bugmaster (administrator)
2017-10-03 09:42

Tested in framework of testing issue 29170
(0071475)
git (administrator)
2017-10-14 12:20

Branch CR29169 has been deleted by kgv.

SHA-1: 2bd1ffe4423029fe3b0a6808e298ca37e60b8a68

- Related Changesets
occt: master c85a994a
Timestamp: 2017-09-30 16:52:10
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029169: Configuration - fix compilation with undefined UNICODE on Windows

Eliminated usage of TEXT macros, usage of OSVERSIONINFO instead of OSVERSIONINFOW.
LoadIcon/LoadCursor are now used instead of LoadIconW/LoadCursorW
when passing macros to standard resources (which depend on UNICODE flag).
mod - src/Draw/init.cxx Diff ] File ]
mod - src/OSD/OSD_Host.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff ] File ]
mod - src/WNT/WNT_WClass.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-30 19:46 kgv New Issue
2017-09-30 19:46 kgv Assigned To => kgv
2017-09-30 19:52 git Note Added: 0071084
2017-09-30 19:52 kgv Note Added: 0071085
2017-09-30 19:52 kgv Assigned To kgv => abv
2017-09-30 19:52 kgv Priority normal => low
2017-09-30 19:52 kgv Status new => resolved
2017-09-30 19:53 kgv Relationship added child of 0028110
2017-10-01 13:53 abv Note Added: 0071091
2017-10-01 13:53 abv Status resolved => reviewed
2017-10-01 13:53 abv Steps to Reproduce Updated View Revisions
2017-10-01 13:53 abv Target Version 7.4.0* => 7.3.0
2017-10-01 21:13 git Note Added: 0071100
2017-10-01 22:07 git Note Added: 0071103
2017-10-03 09:42 bugmaster Note Added: 0071137
2017-10-03 09:42 bugmaster Status reviewed => tested
2017-10-03 09:52 bugmaster Test case number => Not required
2017-10-06 14:55 bugmaster Changeset attached => occt master c85a994a
2017-10-06 14:55 bugmaster Assigned To abv => bugmaster
2017-10-06 14:55 bugmaster Status tested => verified
2017-10-06 14:55 bugmaster Resolution open => fixed
2017-10-14 12:20 git Note Added: 0071475
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker